Package picard.sam.SamErrorMetric

# Enum Class ReadBaseStratification.ReadOrdinality

java.lang.Object
java.lang.Enum<ReadBaseStratification.ReadOrdinality>
picard.sam.SamErrorMetric.ReadBaseStratification.ReadOrdinality

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadBaseStratification.ReadOrdinality>`, `Constable`

Enclosing class:
  ReadBaseStratification

public static enum ReadBaseStratification.ReadOrdinality extends Enum<ReadBaseStratification.ReadOrdinality>
An enum to hold the ordinality of a read

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST`
`SECOND`

## Method Summary

Modifier and Type
Method
Description
`static ReadBaseStratification.ReadOrdinality`
`of(htsjdk.samtools.SAMRecord sam)`
`static ReadBaseStratification.ReadOrdinality`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReadBaseStratification.ReadOrdinality[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRST

public static final ReadBaseStratification.ReadOrdinality FIRST

### SECOND

public static final ReadBaseStratification.ReadOrdinality SECOND

## Method Details

### values

public static ReadBaseStratification.ReadOrdinality[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReadBaseStratification.ReadOrdinality valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

public static ReadBaseStratification.ReadOrdinality of(htsjdk.samtools.SAMRecord sam)